# Earn

## Earn

An abstract contract that inherits from Strategy. All Vesper Earn pools are implementations of the Earn contract.&#x20;

### dripToken

```solidity
address dripToken
```

### dripPeriod

```solidity
uint256 dripPeriod
```

### totalEarned

Accounting total stable coin earned after fee. This amount is not reported to the pool.

```solidity
uint256 totalEarned
```

### DripPeriodUpdated

```solidity
event DripPeriodUpdated(uint256 oldDripPeriod, uint256 newDripPeriod)
```

### updateDripPeriod

```solidity
function updateDripPeriod(uint256 _dripPeriod) external
```

Update update period of distribution of earning done in one rebalance

\_*dripPeriod in seconds*

### approveGrowToken

```solidity
function approveGrowToken() external
```

*Approves EarnDrip' Grow token to spend dripToken*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vesper.finance/vesper-developers/vesper-contracts-api-reference/strategy-contracts/earn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
